import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:vone_ipfs/component/file_upload_view.dart';
import 'package:vone_ipfs/utils/ipfs_utils.dart';
import 'package:vone_ipfs/pages/image_upload_page.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: HomePage(),
      ),
    );
  }
}

class HomePage extends StatefulWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          child: FileUploadView([],(files){
            print(files);
          }),
          padding: EdgeInsets.symmetric(horizontal: 15, vertical: 10),
        ),
        ImageUploadPage(
          images: [],
          uploadMode: UploadMode.MULTIPLE,
          valueChangedCallback: (value) {
            print(value);
          },
        )
      ],
    );
    return Center(
      child: InkWell(
        child: Text('Running on:'),
        onTap: () {
          IPFSUtils.fileUploadSingle(context, (value) {});
        },
      ),
    );
  }
}
