import 'package:vone_ipfs/bean/upload_file_entity.dart';

uploadFileEntityFromJson(UploadFileEntity data, Map<String, dynamic> json) {
	if (json['code'] != null) {
		data.code = json['code'] is String
				? int.tryParse(json['code'])
				: json['code'].toInt();
	}
	if (json['data'] != null) {
		data.data = UploadFileData().fromJson(json['data']);
	}
	if (json['msg'] != null) {
		data.msg = json['msg'].toString();
	}
	return data;
}

Map<String, dynamic> uploadFileEntityToJson(UploadFileEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['code'] = entity.code;
	data['data'] = entity.data?.toJson();
	data['msg'] = entity.msg;
	return data;
}

uploadFileDataFromJson(UploadFileData data, Map<String, dynamic> json) {
	if (json['cover'] != null) {
		data.cover = json['cover'].toString();
	}
	if (json['fileHash'] != null) {
		data.fileHash = json['fileHash'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	return data;
}

Map<String, dynamic> uploadFileDataToJson(UploadFileData entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['cover'] = entity.cover;
	data['fileHash'] = entity.fileHash;
	data['name'] = entity.name;
	return data;
}